
TYPO3.Flow - Feature # 6456

Status: Closed Priority: Should have
Author: Arjen Hoekema Category: Validation
Created: 2010-02-12 Assigned To:
Updated: 2012-03-12 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Customization/localization of validator errors
Description

Add the possibility to customize the validation error messages. For example: in Zend Framework each validator has a list of "message
templates" and for the several types of errors each validator defines its own constants. These messages contain placeholders (value)
which are replaced.

In the future this could be attached to a localization/translator object.

Related issues:
related to TYPO3.Flow - Feature # 33970: Add translation files for bundled va... Resolved 2012-02-16
related to TYPO3.Flow - Feature # 28399: Validation message and code should b... Needs Feedback2011-07-22

History
#1 - 2010-03-15 17:57 - Robert Lemke
- Status changed from New to Accepted
- Target version set to 1.0 alpha 9
- Start date deleted (2010-02-12)
- Estimated time set to 12.00

#2 - 2010-05-28 17:40 - Robert Lemke
- Target version deleted (1.0 alpha 9)

#3 - 2010-07-09 14:08 - Robert Lemke
- Category changed from Validation to I18n

This will mainly be provided by the new localization functionality Karol is working on.

#4 - 2011-12-15 17:44 - Karsten Dambekalns
- Category deleted (I18n)
- Status changed from Accepted to New
- Has patch set to No

#5 - 2012-02-16 10:46 - Karsten Dambekalns
- Category set to Validation

#6 - 2012-02-16 11:53 - Bastian Waidelich

With the current version and #33970 applied this works quite nice. The respective Fluid code looks something like:

1<f:form.validationResults for="{property}">
2    <f:for each="{validationResults.errors}" as="error">
3        {error -> f:translate(key: error.code, arguments: error.arguments, package: 'TYPO3.FLOW3', source: 'ValidationErrors')}
4    </f:for>
5</f:form.validationResults>

There is also an issue for making the validator code & message overridable (#33970) for even more flexibility. So I suggest to close this issue.

#7 - 2012-03-12 17:47 - Christian Müller
- Status changed from New to Closed
